#ifndef	_HARRIS_TOOLS_H_
#define	_HARRIS_TOOLS_H__

// inline square function
inline double
sqr(double x)
{
   return x * x;
}

// distance between two features
inline double
distance(int u1, int v1, int u2, int v2)
{
  return sqrt(sqr((double)(u1 - u2)) + sqr((double)(v1 - v2)));
}

// make Gauss window
void	make_Gauss_window(double Gw[], int Ns, double sigma);

// check value greater than or equal upper left area
int	check_ge_upperleft(double d, float out[], int x, int width);

// check value lessr than upper left area
int	check_gt_lowerright(double d, float out[], int x, int width);

// corner list
int	add_list(int u, int v, double d, int *up, int *vp, double *dp,
		 int Num, int MaxNum, double MinDist);

#endif	// _HARRIS_TOOLS_H_
